GuidesAPI Reference
GuidesAPI Reference
  1. wallets
  • wallets
    • Create a new wallet
      POST
    • Get wallet details
      GET
    • List wallets
      GET
  • Tokens
    • Deploy and register a new token
      POST
    • Mint tokens
      POST
    • Burn tokens
      POST
    • Burn tokens from a specific wallet
      POST
    • List tokens
      GET
    • Pause token transfers
      POST
    • Unpause token transfers
      POST
    • Block user from token transfers
      POST
    • Unblock user from token transfers
      POST
  • Transfers
    • Create a new transfer
      POST
    • Get transfer details
      GET
    • List transfers
      GET
  • Transactions
    • Execute an arbitrary contract call
      POST
  • Audit
    • Query audit logs
      GET
  1. wallets

Create a new wallet

POST
https://caas-api.tokenone.com.br//v1/wallets
Create a new smart account wallet on the specified network with gas sponsorship (gasless deployment)

Requisição

Authorization
API Key
Adicionar parâmetro em header
x-api-key
Exemplo:
x-api-key: ********************
or
Parâmetros Bodyapplication/jsonNecessário

Examples

Respostas

🟢201
application/json
Created
Bodyapplication/json

🟠400
🟠401
🟠422
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://caas-api.tokenone.com.br//v1/wallets' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "extRef": "investor-12345",
    "network": "polygon-mainnet"
}'
Response Response Example
201 - Exemplo 1
{
    "address": "string",
    "createdAt": "string",
    "deploymentTxHash": "string",
    "deploymentTxId": "string",
    "errorMessage": "string",
    "explorerUrl": "string",
    "extRef": "string",
    "id": "string",
    "lastRetryAt": "string",
    "network": "polygon-mainnet",
    "retryCount": 0,
    "status": "pending",
    "tenantId": "string",
    "updatedAt": "string"
}
Próxima página
Get wallet details
Built with